본문 바로가기

프로그래밍/Python

pip install 시 Visual C++ is required 메시지와 함께 설치에러가 발생하는 이유

파이썬 패키지들은 소스로 제공될 경우도 있고, 미리빌드된 휠(prebuilt wheel)로 제공될 경우도 있습니다. 미리빌드된 휠은 소스를 각 플랫폼 (리눅스, 윈도우, 맥, 32비트, 64비트 등등) 에 맞게 누군가가 미리 빌드하여 제공하는 것이기 때문에, "현재" 가장 대중적인 플랫폼에 대해 우선적으로 제공됩니다.

 

 

2020년 현재는 32비트 파이썬은, 64비트 버전에 비해 덜 대중적입니다. 따라서 32비트 파이썬을 설치한 경우에는 pip 설치시에 이러한 에러를 만날 확률이 큽니다. (마찬가지로 파이썬 2.7 버전, 또는 나온지 오래된 3.4, 3.5 등등, 그리고 이제 막 새롭게 버전이 출시되었을 때에도) 물론 적절한 컴파일 환경 ( vc 컴파일환경 등 ) 을 설정한 경우에는 소스를 컴파일하여 잘 설치 사용할 수 있겠지만, 언제나 그렇듯이 윈도우에서의 소스 컴파일은 꽤나 복잡한 설정이 필요한 법입니다.

 

  error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": 
  https://visualstudio.microsoft.com/downloads/
  ----------------------------------------
  ERROR: Failed building wheel for numba
728x90
반응형